Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.ldap.jdk13
Class SSLContextJDK13

    java.lang.Object
      com.stc.connector.ldapadapter.ldap.jdk13.SSLContextJDK13

All Implemented Interfaces:
  SSLContextJDKPlatform

    public class SSLContextJDK13

extends java.lang.Object
implements SSLContextJDKPlatform

Wrapper class for JDK 1.3 + JSSE extension SSLContext class.

Version:
  $Revision $
Author:

Constructor Summary
`SSLContextJDK13()` Creates a new instance of SSLContextJDK13

Method Summary
`javax.net.ssl.SSLSocketFactory` | `getSocketFactory()` Retrieves the SSLSocketFactory from the established underlying SSLContext.
`void` | `init(java.lang.String sslProtocol, java.lang.String trustStoreType, java.lang.String trustStore, java.lang.String trustStorePassword, java.lang.String keyStoreType, java.lang.String keyStore, java.lang.String keyStorePassword, java.lang.String x509Algorithm)` Initialize the underlying SSLContext.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLContextJDK13

    public SSLContextJDK13()

  Creates a new instance of SSLContextJDK13

Method Detail

### getSocketFactory

    public javax.net.ssl.SSLSocketFactory getSocketFactory()
                                                    throws java.io.IOException

  Retrieves the SSLSocketFactory from the established underlying SSLContext.

  Specified by:
    `getSocketFactory` in interface `SSLContextJDKPlatform`
  Returns:
    An instance of javax.net.SSLSocketFactory.
  Throws:
    `java.io.IOException` - upon error.

### init

    public void init(java.lang.String sslProtocol,
                     java.lang.String trustStoreType,
                     java.lang.String trustStore,
                     java.lang.String trustStorePassword,
                     java.lang.String keyStoreType,
                     java.lang.String keyStore,
                     java.lang.String keyStorePassword,
                     java.lang.String x509Algorithm)
              throws java.io.IOException

  Initialize the underlying SSLContext.

  Specified by:
    `init` in interface `SSLContextJDKPlatform`
  Parameters:
    `sslProtocol` - The SSL Protocol to use. Valid are SSL, SSLv2, SSLv3, TLS, TLSv1
    `trustStoreType` - The truststore type (i.e., JKS).
    `trustStore` - The truststore location.
    `trustStorePassword` - The truststore password.
    `keyStoreType` - The keystore type (i.e., JKS).
    `keyStore` - The keystore location.
    `keyStorePassword` - The keystore password.
    `x509Algorithm` - The X509 algorithm name to use for the trust and key manager factories.
  Throws:
    `java.io.IOException` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD